Get Google Finance Quote Advanced Results by id


Live Google Finance Quote provides real-time data from the ‘Quote’ tab of Google Finance. These results are specific to the parameters you specify in the request: ticker in the keyword field, location and language.

checked GET
Pricing

Your account will be charged only for posting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for sending a request:

Field nameTypeDescription
idstring

task identifier
unique task identifier in our system in the UUID format
you will be able to use it within 30 days to request the results of the task at any time


‌‌
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

You can also get all available SERP features and possible extra elements by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/serp/google/ads_search/task_get/advanced/00000000-0000-0000-0000-000000000000
The response will include all available items in the Google Ads Advertisers SERP Advanced endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.

Description of the fields in the results array:

‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="02261816-2027-0066-0000-c27d02864073" 
curl --location --request GET "https://api.dataforseo.com/v3/serp/google/finance_quote/task_get/advanced/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// GET /v3/serp/google/finance_quote/tasks_ready
	// in addition to 'google' and 'finance_quote' you can also set other search engine and type parameters
	// the full list of possible parameters is available in documentation
	$tasks_ready = $client->get('/v3/serp/google/finance_quote/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/serp/google/finance_quote/task_get/advanced/$id
					if (isset($task_ready['endpoint_advanced'])) {
						$result[] = $client->get($task_ready['endpoint_advanced']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/serp/google/finance_quote/task_get/advanced/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/serp/google/finance_quote/task_get/advanced/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const task_id = '02231256-2604-0066-2000-57133b8fc54e';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/serp/google/finance_quote/task_get/advanced/' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# GET /v3/serp/google/finance_quote/tasks_ready
# in addition to 'google' and 'finance_quote' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.get("/v3/serp/google/finance_quote/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response['status_code'] == 20000:
    results = []
    for task in response['tasks']:
        if (task['result'] and (len(task['result']) > 0)):
            for resultTaskInfo in task['result']:
                # 2 - using this method you can get results of each completed task
                # GET /v3/serp/google/finance_quote/task_get/advanced/$id
                if(resultTaskInfo['endpoint_advanced']):
                    results.append(client.get(resultTaskInfo['endpoint_advanced']))                
                '''
                # 3 - another way to get the task results by id
                # GET /v3/serp/google/finance_quote/task_get/advanced/$id                
                if(resultTaskInfo['id']):
                    results.append(client.get("/v3/serp/google/finance_quote/task_get/advanced/" + resultTaskInfo['id']))
                '''
    print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_task_get()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // #1 - using this method you can get a list of completed tasks
            // GET /v3/serp/google/finance_quote/tasks_ready
            // in addition to 'google' and 'finance_quote' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/serp/google/finance_quote/tasks_ready");
            var tasksInfo = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            var tasksResponses = new List<object>();
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (tasksInfo.status_code == 20000)
            {
                if (tasksInfo.tasks != null)
                {
                    foreach (var tasks in tasksInfo.tasks)
                    {
                        if (tasks.result != null)
                        {
                            foreach (var task in tasks.result)
                            {
                                if (task.endpoint_advanced != null)
                                {
                                    // #2 - using this method you can get results of each completed task
                                    // GET /v3/serp/google/finance_quote/task_get/advanced/$id
                                    var taskGetResponse = await httpClient.GetAsync((string)task.endpoint_advanced);
                                    var taskResultObj = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
                                    if (taskResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    // #3 - another way to get the task results by id
                                    // GET /v3/serp/google/finance_quote/task_get/advanced/$id
                                    /*
                                    var tasksGetResponse = await httpClient.GetAsync("/v3/serp/google/finance_quote/task_get/advanced/" + (string)task.id);
                                    var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
                                    if (tasksResultObj.tasks != null)
                                    {
                                        var fst = taskResultObj.tasks.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                    */
                                }
                            }
                        }
                    }
                }
                if (tasksResponses.Count > 0)
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
                else
                    Console.WriteLine("No completed tasks");
            }
            else
                Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20241227",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0895 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "02171817-1535-0066-0000-e72aa95a2b93",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0308 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "finance_quote",
        "task_get",
        "advanced",
        "02171817-1535-0066-0000-e72aa95a2b93"
      ],
      "data": {
        "api": "serp",
        "function": "task_get",
        "se": "google",
        "se_type": "finance_quote",
        "language_name": "English",
        "location_code": 2840,
        "keyword": ".DJI:INDEXDJX",
        "window": "1D",
        "priority": 2,
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "CLW00:NYMEX",
          "type": "finance_quote",
          "se_domain": "google.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://www.google.com/finance/quote/CLW00:NYMEX?hl=en&gl=us&window=1d",
          "datetime": "2025-02-13 14:08:33 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "google_finance_hero_groups",
            "google_finance_quote",
            "google_finance_compare_to",
            "google_finance_news",
            "google_finance_futures_chain",
            "google_finance_details",
            "google_finance_about",
            "google_finance_interested",
            "google_finance_people_also_search"
          ],
          "se_results_count": 0,
          "items_count": 11,
          "items": [
            {
              "type": "google_finance_hero_groups",
              "rank_group": 1,
              "rank_absolute": 1,
              "markets": [
                {
                  "market": "Futures",
                  "items": [
                    {
                      "type": "google_finance_market_instrument_element",
                      "ticker": "YMW00",
                      "price": 44561,
                      "price_delta": 99,
                      "price_currency": "USD",
                      "identifier": "YMW00:CBOT",
                      "displayed_name": "E-mini Dow ($5)",
                      "url": "https://google.com/finance/quote/YMW00:CBOT?hl=en&gl=us",
                      "location": null,
                      "trend": "up",
                      "timestamp": "2025-02-13 13:58:21 +00:00",
                      "percentage_delta": 0.22266205
                    },
                    {
                      "type": "google_finance_market_instrument_element",
                      "ticker": "ESW00",
                      "price": 6084,
                      "price_delta": 11.25,
                      "price_currency": "USD",
                      "identifier": "ESW00:CME_EMINIS",
                      "displayed_name": "E-mini S&P 500",
                      "url": "https://google.com/finance/quote/ESW00:CME_EMINIS?hl=en&gl=us",
                      "location": null,
                      "trend": "up",
                      "timestamp": "2025-02-13 13:58:22 +00:00",
                      "percentage_delta": 0.1852538
                    },
                    {
                      "type": "google_finance_market_instrument_element",
                      "ticker": "NQW00",
                      "price": 21878.25,
                      "price_delta": 73.5,
                      "price_currency": "USD",
                      "identifier": "NQW00:CME_EMINIS",
                      "displayed_name": "E-mini NASDAQ 100",
                      "url": "https://google.com/finance/quote/NQW00:CME_EMINIS?hl=en&gl=us",
                      "location": null,
                      "trend": "up",
                      "timestamp": "2025-02-13 13:58:26 +00:00",
                      "percentage_delta": 0.3370825
                    }
                  ]
                },
                {
                  "market": "US",
                  "items": [
                    {
                      "type": "google_finance_market_index_element",
                      "ticker": ".DJI",
                      "market_identifier": "INDEXDJX",
                      "index_value": 44368.56,
                      "index_value_delta": 0,
                      "identifier": ".DJI:INDEXDJX",
                      "displayed_name": "Dow Jones Industrial Average",
                      "url": "https://google.com/finance/quote/.DJI:INDEXDJX?hl=en&gl=us",
                      "location": "America/New_York",
                      "trend": "stable",
                      "timestamp": "2025-02-13 14:08:01 +00:00",
                      "percentage_delta": 0
                    }
                  ]
                },
                {
                  "market": "Europe",
                  "items": [
                    {
                      "type": "google_finance_market_index_element",
                      "ticker": "DAX",
                      "market_identifier": "INDEXDB",
                      "index_value": 22516.39,
                      "index_value_delta": 368.36133,
                      "identifier": "DAX:INDEXDB",
                      "displayed_name": "DAX PERFORMANCE-INDEX",
                      "url": "https://google.com/finance/quote/DAX:INDEXDB?hl=en&gl=us",
                      "location": "Europe/Berlin",
                      "trend": "up",
                      "timestamp": "2025-02-13 13:53:22 +00:00",
                      "percentage_delta": 1.6631788
                    }
                  ]
                },
                {
                  "market": "Asia",
                  "items": [
                    {
                      "type": "google_finance_market_index_element",
                      "ticker": "NI225",
                      "market_identifier": "INDEXNIKKEI",
                      "index_value": 39461.47,
                      "index_value_delta": 497.76953,
                      "identifier": "NI225:INDEXNIKKEI",
                      "displayed_name": "Nikkei 225",
                      "url": "https://google.com/finance/quote/NI225:INDEXNIKKEI?hl=en&gl=us",
                      "location": "Asia/Tokyo",
                      "trend": "up",
                      "timestamp": "2025-02-13 10:00:00 +00:00",
                      "percentage_delta": 1.2775213
                    }
                  ]
                },
                {
                  "market": "Currencies",
                  "items": [
                    {
                      "type": "google_finance_asset_pair_element",
                      "base_symbol": "EUR",
                      "quote_symbol": "USD",
                      "base_display_name": "Euro",
                      "quote_display_name": "United States Dollar",
                      "price": 1.038625,
                      "price_delta": -0.000615,
                      "identifier": "EUR-USD",
                      "displayed_name": "EUR / USD",
                      "url": "https://google.com/finance/quote/EUR-USD?hl=en&gl=us",
                      "location": null,
                      "trend": "down",
                      "timestamp": "2025-02-13 14:07:05 +00:00",
                      "percentage_delta": -0.05917786000000001
                    },
                    {
                      "type": "google_finance_asset_pair_element",
                      "base_symbol": "USD",
                      "quote_symbol": "JPY",
                      "base_display_name": "United States Dollar",
                      "quote_display_name": "Japanese Yen",
                      "price": 153.44250599999998,
                      "price_delta": -0.820994,
                      "identifier": "USD-JPY",
                      "displayed_name": "USD / JPY",
                      "url": "https://google.com/finance/quote/USD-JPY?hl=en&gl=us",
                      "location": null,
                      "trend": "down",
                      "timestamp": "2025-02-13 14:08:05 +00:00",
                      "percentage_delta": -0.5322023
                    },
                    {
                      "type": "google_finance_asset_pair_element",
                      "base_symbol": "GBP",
                      "quote_symbol": "USD",
                      "base_display_name": "Pound sterling",
                      "quote_display_name": "United States Dollar",
                      "price": 1.24675066,
                      "price_delta": 0.00175066,
                      "identifier": "GBP-USD",
                      "displayed_name": "GBP / USD",
                      "url": "https://google.com/finance/quote/GBP-USD?hl=en&gl=us",
                      "location": null,
                      "trend": "up",
                      "timestamp": "2025-02-13 14:08:05 +00:00",
                      "percentage_delta": 0.14061520000000002
                    }
                  ]
                },
                {
                  "market": "Crypto",
                  "items": [
                    {
                      "type": "google_finance_asset_pair_element",
                      "base_symbol": "BTC",
                      "quote_symbol": "USD",
                      "base_display_name": "Bitcoin",
                      "quote_display_name": "United States Dollar",
                      "price": 96055.94,
                      "price_delta": -1799.55,
                      "identifier": "BTC-USD",
                      "displayed_name": "Bitcoin (BTC / USD)",
                      "url": "https://google.com/finance/quote/BTC-USD?hl=en&gl=us",
                      "location": null,
                      "trend": "down",
                      "timestamp": "2025-02-13 14:07:50 +00:00",
                      "percentage_delta": -1.838987
                    }
                  ]
                }
              ]
            },
            {
              "type": "google_finance_quote",
              "rank_group": 1,
              "rank_absolute": 2,
              "quote": {
                "type": "google_finance_market_instrument_element",
                "ticker": "CLW00",
                "price": 70.33000183105469,
                "price_delta": -0.90999603,
                "price_currency": "USD",
                "identifier": "CLW00:NYMEX",
                "displayed_name": "Crude Oil",
                "url": "https://google.com/finance/quote/CLW00:NYMEX?hl=en&gl=us",
                "location": null,
                "trend": "down",
                "timestamp": "2025-02-13 13:58:12 +00:00",
                "percentage_delta": -1.2773668
              },
              "graph_items": [
                {
                  "timestamp": "2025-02-12 19:00:00 +00:00",
                  "value": 70.53,
                  "volume": 27
                },
                {
                  "timestamp": "2025-02-12 19:01:00 +00:00",
                  "value": 70.54,
                  "volume": 10
                },
                {
                  "timestamp": "2025-02-12 19:02:00 +00:00",
                  "value": 70.56,
                  "volume": 5
                },
                {
                  "timestamp": "2025-02-12 19:03:00 +00:00",
                  "value": 70.55,
                  "volume": 14
                },
                {
                  "timestamp": "2025-02-12 19:04:00 +00:00",
                  "value": 70.56,
                  "volume": 2
                },
                {
                  "timestamp": "2025-02-12 19:05:00 +00:00",
                  "value": 70.56,
                  "volume": 7
                },
                {
                  "timestamp": "2025-02-12 19:06:00 +00:00",
                  "value": 70.57,
                  "volume": 8
                },
                {
                  "timestamp": "2025-02-12 19:07:00 +00:00",
                  "value": 70.56,
                  "volume": 57
                },
                {
                  "timestamp": "2025-02-12 19:08:00 +00:00",
                  "value": 70.58,
                  "volume": 58
                },
                {
                  "timestamp": "2025-02-12 19:09:00 +00:00",
                  "value": 70.58,
                  "volume": 53
                }
              ]
            },
            {
              "type": "google_finance_compare_to",
              "rank_group": 1,
              "rank_absolute": 3,
              "items": [
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "BZW00",
                  "price": 74.19999694824219,
                  "price_delta": -0.98000336,
                  "price_currency": "USD",
                  "identifier": "BZW00:NYMEX",
                  "displayed_name": "Brent Crude Oil Last Day Financial Futures",
                  "url": "https://www.google.com/finance/quote/CLW00:NYMEX?hl=en&gl=us&window=1d&comparison=NYMEX%3ABZW00",
                  "location": null,
                  "trend": "down",
                  "timestamp": "2025-02-13 13:58:02 +00:00",
                  "percentage_delta": -1.3035426
                },
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "NGW00",
                  "price": 3.7290000915527344,
                  "price_delta": 0.16400003,
                  "price_currency": "USD",
                  "identifier": "NGW00:NYMEX",
                  "displayed_name": "Henry Hub Natural Gas",
                  "url": "https://www.google.com/finance/quote/CLW00:NYMEX?hl=en&gl=us&window=1d&comparison=NYMEX%3ANGW00",
                  "location": null,
                  "trend": "up",
                  "timestamp": "2025-02-13 13:58:25 +00:00",
                  "percentage_delta": 4.6002812
                },
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "RBW00",
                  "price": 2.2908999919891357,
                  "price_delta": -0.022300005,
                  "price_currency": "USD",
                  "identifier": "RBW00:NYMEX",
                  "displayed_name": "RBOB Gasoline Futures",
                  "url": "https://www.google.com/finance/quote/CLW00:NYMEX?hl=en&gl=us&window=1d&comparison=NYMEX%3ARBW00",
                  "location": null,
                  "trend": "down",
                  "timestamp": "2025-02-13 13:58:22 +00:00",
                  "percentage_delta": -0.9640327
                }
              ]
            },
            {
              "type": "google_finance_news",
              "rank_group": 1,
              "rank_absolute": 4,
              "title": "Top news",
              "sub_title": null,
              "items": [
                {
                  "type": "google_finance_news_element",
                  "title": "Oil sinks 2% after Trump calls Putin, Zelenskiy to discuss end to war in nUkraine",
                  "url": "https://www.reuters.com/business/energy/oil-prices-retreat-after-report-us-crude-stockpile-rise-2025-02-12/",
                  "source": "Reuters",
                  "image_url": "https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcQjkEbx5c2_PN1hkUM6WgcqRvBGg9iigFjPZ4uQXNsWm0UUfi5NCp-vCllvS9c",
                  "timestamp": "2025-02-12 20:04:48 +00:00",
                  "quotes": null
                },
                {
                  "type": "google_finance_news_element",
                  "title": "Trump tariffs on Canadian oil expected to raise U.S. gasoline prices if nenacted next month",
                  "url": "https://www.cnbc.com/2025/02/11/gasoline-prices-may-rise-if-trump-slaps-tariffs-on-canadian-crude-oil-in-march.html",
                  "source": "CNBC",
                  "image_url": "https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcQ3DcULa_C8lWn73Afw1RNMUu6OiwwMNfVtjpcsaVXeK6g8EnJ2lbkXjR-t3VY",
                  "timestamp": "2025-02-11 16:59:10 +00:00",
                  "quotes": null
                }
              ]
            },
            {
              "type": "google_finance_futures_chain",
              "rank_group": 1,
              "rank_absolute": 7,
              "markets": [
                {
                  "type": "google_finance_futures_chain_element",
                  "timestamp": null,
                  "revenue": null,
                  "symbol": "CLH25",
                  "price": 70.43000030517578,
                  "price_currency": "USD",
                  "price_delta": -0.94000244,
                  "percentage_delta": -1.3170834,
                  "trend": "down"
                },
                {
                  "type": "google_finance_futures_chain_element",
                  "timestamp": null,
                  "revenue": null,
                  "symbol": "CLJ25",
                  "price": 70.33999633789062,
                  "price_currency": "USD",
                  "price_delta": -0.9000015,
                  "percentage_delta": -1.2633374,
                  "trend": "down"
                },
                {
                  "type": "google_finance_futures_chain_element",
                  "timestamp": null,
                  "revenue": null,
                  "symbol": "CLK25",
                  "price": 70.0999984741211,
                  "price_currency": "USD",
                  "price_delta": -0.91999817,
                  "percentage_delta": -1.2954072,
                  "trend": "down"
                },
                {
                  "type": "google_finance_futures_chain_element",
                  "timestamp": null,
                  "revenue": null,
                  "symbol": "CLM25",
                  "price": 69.80999755859375,
                  "price_currency": "USD",
                  "price_delta": -0.9200058,
                  "percentage_delta": -1.3007292,
                  "trend": "down"
                },
                {
                  "type": "google_finance_futures_chain_element",
                  "timestamp": null,
                  "revenue": null,
                  "symbol": "CLN25",
                  "price": 69.4800033569336,
                  "price_currency": "USD",
                  "price_delta": -0.90999603,
                  "percentage_delta": -1.2927916,
                  "trend": "down"
                }
              ]
            },
            {
              "type": "google_finance_details",
              "rank_group": 1,
              "rank_absolute": 8,
              "badges": [
                "Futures Contract"
              ],
              "previous_close": 71.24,
              "start_day_range": 70.16,
              "end_day_range": 71.18,
              "start_year_range": 70.16,
              "end_year_range": 71.18,
              "market_cap": null,
              "volume": 72805,
              "avg_volume": null,
              "pe_ratio": null,
              "dividend_yield": null,
              "primary_exchange": "NYMEX",
              "ytd_return": null,
              "expense_ratio": null,
              "category": null,
              "net_assets": null,
              "yield": null,
              "front_load": null,
              "market_segment": "ENRGY",
              "open_interest": 256985,
              "settlement_price": 71.24,
              "cdp_climate_change_score": null,
              "metrics_currency": "USD"
            },
            {
              "type": "google_finance_about",
              "rank_group": 1,
              "rank_absolute": 9,
              "displayed_name": "NYMEX:CLW00",
              "description": null,
              "description_source_url": null,
              "ceo": null,
              "founded": null,
              "headquarters": null,
              "website": null,
              "employees": null
            },
            {
              "type": "google_finance_interested",
              "rank_group": 1,
              "rank_absolute": 10,
              "items": [
                {
                  "type": "google_finance_market_index_element",
                  "ticker": ".DJI",
                  "market_identifier": "INDEXDJX",
                  "index_value": 44368.56,
                  "index_value_delta": 0,
                  "identifier": ".DJI:INDEXDJX",
                  "displayed_name": "Dow Jones Industrial Average",
                  "url": "https://google.com/finance/quote/.DJI:INDEXDJX?hl=en&gl=us",
                  "location": "America/New_York",
                  "trend": "stable",
                  "timestamp": "2025-02-13 14:08:01 +00:00",
                  "percentage_delta": 0
                },
                {
                  "type": "google_finance_market_index_element",
                  "ticker": ".INX",
                  "market_identifier": "INDEXSP",
                  "index_value": 6051.97,
                  "index_value_delta": 0,
                  "identifier": ".INX:INDEXSP",
                  "displayed_name": "S&P 500",
                  "url": "https://google.com/finance/quote/.INX:INDEXSP?hl=en&gl=us",
                  "location": "America/New_York",
                  "trend": "stable",
                  "timestamp": "2025-02-13 14:08:07 +00:00",
                  "percentage_delta": 0
                },
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "AMZN",
                  "price": 228.93,
                  "price_delta": 0,
                  "price_currency": "USD",
                  "identifier": "AMZN:NASDAQ",
                  "displayed_name": "Amazon.com Inc",
                  "url": "https://google.com/finance/quote/AMZN:NASDAQ?hl=en&gl=us",
                  "location": "America/New_York",
                  "trend": "stable",
                  "timestamp": "2025-02-13 14:08:19 +00:00",
                  "percentage_delta": 0
                }
              ]
            },
            {
              "type": "google_finance_people_also_search",
              "rank_group": 1,
              "rank_absolute": 11,
              "items": [
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "BZW00",
                  "price": 74.19999694824219,
                  "price_delta": -0.98000336,
                  "price_currency": "USD",
                  "identifier": "BZW00:NYMEX",
                  "displayed_name": "Brent Crude Oil Last Day Financial Futures",
                  "url": "https://google.com/finance/quote/BZW00:NYMEX?hl=en&gl=us",
                  "location": null,
                  "trend": "down",
                  "timestamp": "2025-02-13 13:58:02 +00:00",
                  "percentage_delta": -1.3035426
                },
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "NGW00",
                  "price": 3.7290000915527344,
                  "price_delta": 0.16400003,
                  "price_currency": "USD",
                  "identifier": "NGW00:NYMEX",
                  "displayed_name": "Henry Hub Natural Gas",
                  "url": "https://google.com/finance/quote/NGW00:NYMEX?hl=en&gl=us",
                  "location": null,
                  "trend": "up",
                  "timestamp": "2025-02-13 13:58:25 +00:00",
                  "percentage_delta": 4.6002812
                },
                {
                  "type": "google_finance_market_instrument_element",
                  "ticker": "RBW00",
                  "price": 2.2908999919891357,
                  "price_delta": -0.022300005,
                  "price_currency": "USD",
                  "identifier": "RBW00:NYMEX",
                  "displayed_name": "RBOB Gasoline Futures",
                  "url": "https://google.com/finance/quote/RBW00:NYMEX?hl=en&gl=us",
                  "location": null,
                  "trend": "down",
                  "timestamp": "2025-02-13 13:58:22 +00:00",
                  "percentage_delta": -0.9640327
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}